List voices
curl --request GET \
--url https://api.chariot.in/v1/voices \
--header 'chariotai-api-key: <api-key>'import requests
url = "https://api.chariot.in/v1/voices"
headers = {"chariotai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'chariotai-api-key': '<api-key>'}};
fetch('https://api.chariot.in/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chariot.in/v1/voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"chariotai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chariot.in/v1/voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("chariotai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chariot.in/v1/voices")
.header("chariotai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chariot.in/v1/voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["chariotai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice_name": "Matt",
"voice_description": "<string>",
"sprite_url": "<string>",
"color": "<string>",
"accent": "american",
"gender": "male",
"age": "young",
"use_cases": [],
"models": [
{
"model": "chariot-multilingual-v1",
"label": "Chariot Multilingual v1",
"samples": {},
"speeds": [
123
],
"max_chars": 1000
}
],
"status": "published",
"status_reason": "<string>",
"restricted": false,
"restriction_reason": "<string>",
"restricted_on_change": false
}
],
"total_voices": 8
}Voices
List voices
List voices available to your workspace, with previews, per-model capabilities, and availability. Filter by accent, gender, name, or status. Preview sample language codes describe the text spoken in each sample, not the speaker’s language or a restriction on synthesis.
GET
/
v1
/
voices
List voices
curl --request GET \
--url https://api.chariot.in/v1/voices \
--header 'chariotai-api-key: <api-key>'import requests
url = "https://api.chariot.in/v1/voices"
headers = {"chariotai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'chariotai-api-key': '<api-key>'}};
fetch('https://api.chariot.in/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chariot.in/v1/voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"chariotai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chariot.in/v1/voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("chariotai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chariot.in/v1/voices")
.header("chariotai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chariot.in/v1/voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["chariotai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice_name": "Matt",
"voice_description": "<string>",
"sprite_url": "<string>",
"color": "<string>",
"accent": "american",
"gender": "male",
"age": "young",
"use_cases": [],
"models": [
{
"model": "chariot-multilingual-v1",
"label": "Chariot Multilingual v1",
"samples": {},
"speeds": [
123
],
"max_chars": 1000
}
],
"status": "published",
"status_reason": "<string>",
"restricted": false,
"restriction_reason": "<string>",
"restricted_on_change": false
}
],
"total_voices": 8
}Authorizations
Your Chariot API key, generated from the dashboard. Send it in the chariotai-api-key header on every request.
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 500Case-insensitive substring match on the voice name.
Available options:
american, british, indian Available options:
male, female, neutral Sort order by creation time.
Available options:
desc, asc Pagination offset. A nonzero offset takes precedence over skip.
Required range:
x >= 0Case-insensitive name search. A nonempty q takes precedence over voice_name.
Maximum string length:
200Comma-separated lifecycle statuses: draft, processing, failed, published. Deleted voices are never returned. Omit to include all non-deleted statuses.
Maximum string length:
200